gi-gio-2.0.32: Gio bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gio.Structs.DBusMethodInfo

Contents

- Exported types
- Methods
  - ref
  - unref
- Properties
  - annotations
  - inArgs
  - name
  - outArgs
  - refCount

Description

Information about a method on an D-Bus interface.

Since: 2.26

Synopsis

- newtype DBusMethodInfo = DBusMethodInfo (ManagedPtr DBusMethodInfo)
- newZeroDBusMethodInfo :: MonadIO m => m DBusMethodInfo
- dBusMethodInfoRef :: (HasCallStack, MonadIO m) => DBusMethodInfo -> m DBusMethodInfo
- dBusMethodInfoUnref :: (HasCallStack, MonadIO m) => DBusMethodInfo -> m ()
- clearDBusMethodInfoAnnotations :: MonadIO m => DBusMethodInfo -> m ()
- getDBusMethodInfoAnnotations :: MonadIO m => DBusMethodInfo -> m (Maybe [DBusAnnotationInfo])
- setDBusMethodInfoAnnotations :: MonadIO m => DBusMethodInfo -> Ptr (Ptr DBusAnnotationInfo) -> m ()
- clearDBusMethodInfoInArgs :: MonadIO m => DBusMethodInfo -> m ()
- getDBusMethodInfoInArgs :: MonadIO m => DBusMethodInfo -> m (Maybe [DBusArgInfo])
- setDBusMethodInfoInArgs :: MonadIO m => DBusMethodInfo -> Ptr (Ptr DBusArgInfo) -> m ()
- clearDBusMethodInfoName :: MonadIO m => DBusMethodInfo -> m ()
- getDBusMethodInfoName :: MonadIO m => DBusMethodInfo -> m (Maybe Text)
- setDBusMethodInfoName :: MonadIO m => DBusMethodInfo -> CString -> m ()
- clearDBusMethodInfoOutArgs :: MonadIO m => DBusMethodInfo -> m ()
- getDBusMethodInfoOutArgs :: MonadIO m => DBusMethodInfo -> m (Maybe [DBusArgInfo])
- setDBusMethodInfoOutArgs :: MonadIO m => DBusMethodInfo -> Ptr (Ptr DBusArgInfo) -> m ()
- getDBusMethodInfoRefCount :: MonadIO m => DBusMethodInfo -> m Int32
- setDBusMethodInfoRefCount :: MonadIO m => DBusMethodInfo -> Int32 -> m ()

# Exported types

newtype DBusMethodInfo Source #

Memory-managed wrapper type.

Constructors

DBusMethodInfo (ManagedPtr DBusMethodInfo) |

#### Instances

Instances details

Eq DBusMethodInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusMethodInfo Methods (==) :: DBusMethodInfo -> DBusMethodInfo -> Bool Source # (/=) :: DBusMethodInfo -> DBusMethodInfo -> Bool Source #
GBoxed DBusMethodInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusMethodInfo
ManagedPtrNewtype DBusMethodInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusMethodInfo Methods toManagedPtr :: DBusMethodInfo -> ManagedPtr DBusMethodInfo Source #
TypedObject DBusMethodInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusMethodInfo Methods glibType :: IO GType Source #
HasParentTypes DBusMethodInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusMethodInfo
tag ~ 'AttrSet => Constructible DBusMethodInfo tag Source # |
Instance details Defined in GI.Gio.Structs.DBusMethodInfo Methods new :: MonadIO m => (ManagedPtr DBusMethodInfo -> DBusMethodInfo) -> [AttrOp DBusMethodInfo tag] -> m DBusMethodInfo Source #
IsGValue (Maybe DBusMethodInfo) Source # | Convert `DBusMethodInfo` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gio.Structs.DBusMethodInfo Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe DBusMethodInfo -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe DBusMethodInfo) Source #
type ParentTypes DBusMethodInfo Source # |
Instance details Defined in GI.Gio.Structs.DBusMethodInfo type ParentTypes DBusMethodInfo = '[] :: [Type]

newZeroDBusMethodInfo :: MonadIO m => m DBusMethodInfo Source #

Construct a `DBusMethodInfo` struct initialized to zero.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

ref, unref.

#### Getters

None.

#### Setters

None.

## ref

dBusMethodInfoRef Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> DBusMethodInfo | `info`: A `DBusMethodInfo`
-> m DBusMethodInfo | Returns: The same `info`.

If `info` is statically allocated does nothing. Otherwise increases the reference count.

Since: 2.26

## unref

dBusMethodInfoUnref Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> DBusMethodInfo | `info`: A `DBusMethodInfo`.
-> m () |

If `info` is statically allocated, does nothing. Otherwise decreases the reference count of `info`. When its reference count drops to 0, the memory used is freed.

Since: 2.26

# Properties

## annotations

A pointer to a `Nothing`-terminated array of pointers to `DBusAnnotationInfo` structures or `Nothing` if there are no annotations.

clearDBusMethodInfoAnnotations :: MonadIO m => DBusMethodInfo -> m () Source #

Set the value of the “`annotations`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #annotations

getDBusMethodInfoAnnotations :: MonadIO m => DBusMethodInfo -> m (Maybe [DBusAnnotationInfo]) Source #

Get the value of the “`annotations`” field. When overloading is enabled, this is equivalent to

    get dBusMethodInfo #annotations

setDBusMethodInfoAnnotations :: MonadIO m => DBusMethodInfo -> Ptr (Ptr DBusAnnotationInfo) -> m () Source #

Set the value of the “`annotations`” field. When overloading is enabled, this is equivalent to

    set dBusMethodInfo [ #annotations := value ]

## inArgs

A pointer to a `Nothing`-terminated array of pointers to `DBusArgInfo` structures or `Nothing` if there are no in arguments.

clearDBusMethodInfoInArgs :: MonadIO m => DBusMethodInfo -> m () Source #

Set the value of the “`in_args`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #inArgs

getDBusMethodInfoInArgs :: MonadIO m => DBusMethodInfo -> m (Maybe [DBusArgInfo]) Source #

Get the value of the “`in_args`” field. When overloading is enabled, this is equivalent to

    get dBusMethodInfo #inArgs

setDBusMethodInfoInArgs :: MonadIO m => DBusMethodInfo -> Ptr (Ptr DBusArgInfo) -> m () Source #

Set the value of the “`in_args`” field. When overloading is enabled, this is equivalent to

    set dBusMethodInfo [ #inArgs := value ]

## name

The name of the D-Bus method, e.g. `requestName`.

clearDBusMethodInfoName :: MonadIO m => DBusMethodInfo -> m () Source #

Set the value of the “`name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #name

getDBusMethodInfoName :: MonadIO m => DBusMethodInfo -> m (Maybe Text) Source #

Get the value of the “`name`” field. When overloading is enabled, this is equivalent to

    get dBusMethodInfo #name

setDBusMethodInfoName :: MonadIO m => DBusMethodInfo -> CString -> m () Source #

Set the value of the “`name`” field. When overloading is enabled, this is equivalent to

    set dBusMethodInfo [ #name := value ]

## outArgs

A pointer to a `Nothing`-terminated array of pointers to `DBusArgInfo` structures or `Nothing` if there are no out arguments.

clearDBusMethodInfoOutArgs :: MonadIO m => DBusMethodInfo -> m () Source #

Set the value of the “`out_args`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #outArgs

getDBusMethodInfoOutArgs :: MonadIO m => DBusMethodInfo -> m (Maybe [DBusArgInfo]) Source #

Get the value of the “`out_args`” field. When overloading is enabled, this is equivalent to

    get dBusMethodInfo #outArgs

setDBusMethodInfoOutArgs :: MonadIO m => DBusMethodInfo -> Ptr (Ptr DBusArgInfo) -> m () Source #

Set the value of the “`out_args`” field. When overloading is enabled, this is equivalent to

    set dBusMethodInfo [ #outArgs := value ]

## refCount

The reference count or -1 if statically allocated.

getDBusMethodInfoRefCount :: MonadIO m => DBusMethodInfo -> m Int32 Source #

Get the value of the “`ref_count`” field. When overloading is enabled, this is equivalent to

    get dBusMethodInfo #refCount

setDBusMethodInfoRefCount :: MonadIO m => DBusMethodInfo -> Int32 -> m () Source #

Set the value of the “`ref_count`” field. When overloading is enabled, this is equivalent to

    set dBusMethodInfo [ #refCount := value ]